Subject: Re: bug#19419: 24.3; hunspell problems

From: Eli Barzilay <[email-masked]>
Date: Thu, 3 Dec 2020 07:23:07 -0500

All of the environments I work with now have aspell, so I can't provide
more details.  Please feel free to close it.

On Thu, Dec 3, 2020 at 7:15 AM Lars Ingebrigtsen <[email-masked]> wrote:

> Eli Barzilay <[email-masked]> writes:
>
> > I have encountered a bunch of problems with hunspell.  Trying to list
> > them now, and there are two that I can point it.  (They might cover all
> > of the problems that I've seen before.):
> >
> > 1. Trying to use it with the word "readbillity" in one Emacs process
> >    just didn't do anything.  I then tried it with "hunspell -a" on the
> >    command line and that worked fine.  I then started Emacs with "-q" to
> >    write this, and it still didn't work -- but now it works fine in all
> >    three cases (the other Emacs process, the command line, and this
> >    one).  Luckily, I still had an error message in *Messages*, so I know
> >    that it wasn't a dream...  In case it helps -- it says:
> >
> >      ispell-word: Ispell and its process have different character maps
>
> (This bug report unfortunately got no response at the time.)
>
> I'm unable to reproduce this bug with Emacs 28.
>
> emacs -Q
> M-: (setq ispell-program-name "hunspell") RET
>
> and then `M-$' on:
>
> ;; readabillity
>
> This pops up the normal options.
>
> Are you still seeing this problem in more recent Emacs versions?  If so,
> do you have a recipe to reproduce it, starting from "emacs -Q"?
>
> > 2. This seems looks like a problem with hunspell (I reported it there),
> >    but meanwhile, it might be best to avoid it as a default if there's
> >    no way around it, or at least if there's a way to find if this bug is
> >    present.  The problem is that it takes a single quote ("'") as part
> >    of the word, so if I `quote' or 'quote' things, it suggests removing
> >    the quotes.  (It does that on that last line, for example.)
>
> I'm not sure I understand the problem here at all, but then again, it
> might have been fixed over the passing years.
>
> ;; 'readabillity'
>
> in a text-mode buffer works as you'd expect -- it only corrects the word
> inside the single quotes.
>
> --
> (domestic pets only, the antidote for overdose, milk.)
>    bloggy blog: http://lars.ingebrigtsen.no
>

-- 
                   ((x=>x(x))(x=>x(x)))                  Eli Barzilay:
                   http://barzilay.org/                  Maze is Life!